Bug 1790442 - Operator metrics cannot be scraped in IPv6 cluster
Summary: Operator metrics cannot be scraped in IPv6 cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Michal Fojtik
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On: 1788139 1796618
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-13 11:07 UTC by Michal Fojtik
Modified: 2020-02-25 06:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1788139
Environment:
Last Closed: 2020-02-25 06:17:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-openshift-apiserver-operator pull 295 None closed Bug 1790442: bump(*): library-go 2020-03-02 19:10:30 UTC
Red Hat Product Errata RHBA-2020:0528 None None None 2020-02-25 06:18:15 UTC

Comment 4 Dan Winship 2020-02-07 14:25:23 UTC
Assigning all 4.3.z IPv6 bugs to Marius Cornea for QA, as they are not yet QA-able in stock release-4.3 builds.

Comment 5 Marius Cornea 2020-02-11 21:17:16 UTC
Verified on 4.3.0-0.nightly-2020-02-10-055634(included in 4.3.0-0.nightly-2020-02-10-055634-ipv6.3) on a bare metal deployment

Image used in local disconnected registry:
[kni@provisionhost-0 ~]$ oc adm release info --image-for=cluster-openshift-apiserver-operator  -a ~/combined-secret.json   registry.ocp-edge-cluster.qe.lab.redhat.com:5000/localimages/local-release-image:4.3.0-0.nightly-2020-02-10-055634-ipv6.3
quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:08954c5d9200cad1eb75d054890b9541f10f300a05f2239941f4d213c2af9fec

Image used in 4.3.0-0.nightly-2020-02-10-055634
[kni@provisionhost-0 ~]$ 
[kni@provisionhost-0 ~]$ oc adm release info --image-for=cluster-openshift-apiserver-operator  -a ~/combined-secret.json   registry.svc.ci.openshift.org/ocp/release:4.3.0-0.nightly-2020-02-10-055634
quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:08954c5d9200cad1eb75d054890b9541f10f300a05f2239941f4d213c2af9fec


[kni@provisionhost-0 ~]$ oc -n openshift-monitoring port-forward svc/prometheus-operated 9090

[kni@provisionhost-0 ~]$ curl http://[::1]:9090/
<a href="/graph">Found</a>.

Comment 6 Marius Cornea 2020-02-11 21:21:24 UTC
[kni@provisionhost-0 ~]$ curl -s http://[::1]:9090/targets | grep openshift-apiserver-operator/openshift-apiserver-operator/0
        <a id="job-openshift-apiserver-operator/openshift-apiserver-operator/0" href="#job-openshift-apiserver-operator%2fopenshift-apiserver-operator%2f0">openshift-apiserver-operator/openshift-apiserver-operator/0 (1/1 up)</a>

Comment 7 Marius Cornea 2020-02-11 21:35:34 UTC
Note: there are other targets which report errors but as per initial report in this BZ openshift-apiserver-operator/openshift-apiserver-operator/0 is UP so I am going track the issues with other targets in new BZs

Comment 9 errata-xmlrpc 2020-02-25 06:17:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0528


Note You need to log in before you can comment on or make changes to this bug.